
Action.SetTrafficMonitor("enable");
Action.SetTrafficMonitorTimeout(600);

Action.AddTrafficMatch("Novell", 60, "any", "", "", -1, "137.65.0.0/16", -1, -1);

Action.Sleep(10000);

var packet = Query.FWMatchTraffic("Novell");
if (packet != null) {
    Action.Trace("Traffic found");
    Action.Trace("DeviceId: " + packet.DeviceId);
    Action.Trace("Device: " + packet.DeviceName);
    Action.Trace("Count: " + packet.Count);
    Action.Trace("First Seen: " + packet.FirstSeen);
    Action.Trace("Last Seen: " + packet.LastSeen);
    Action.Trace("Destination Mac: " + packet.DestMacAddress);
    Action.Trace("Source Mac: " + packet.SourceMacAddress);
    Action.Trace("Ether Type: " + packet.EtherType);
    Action.Trace("Source IP: " + packet.SourceIPAddress + ":" + packet.SourcePort);
    Action.Trace("Destination IP: " + packet.DestIPAddress + ":" + packet.DestPort);
    Action.Trace("Received: " + packet.Received);
}
else
    Action.Trace("Traffic not found");